For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
          • GETGet Seller Initiated Refunds
          • GETGet Seller Initiated Refunds for an order
          • GETGet Seller Initiated Refunds for order
          • POSTMark the refund as complete
          • POSTReport errors encountered when processing a seller-initiated refund
LogoLogo
RESTFeedAMP Order SourceRefunds

Get Seller Initiated Refunds

GET
https://marketplace-order-api.feedamp.feedonomics.com/api/v1/refunds
GET
/api/v1/refunds
$curl https://marketplace-order-api.feedamp.feedonomics.com/api/v1/refunds \
> -H "Authorization: Bearer <token>"
1{
2 "refunds": [
3 {
4 "feedamp_refund_id": 1001,
5 "mp_order_number": "ABC-123",
6 "notes": null,
7 "status": "CREATED",
8 "date_created": {},
9 "merchant_refund_lines": [
10 {
11 "mp_line_number": "ABC-123-GHY-219",
12 "currency": "USD",
13 "refund_quantity": 1,
14 "item_refund": 6.99,
15 "item_tax_refund": 0.11,
16 "shipping_refund": 0,
17 "shipping_tax_refund": 0,
18 "discount_refund": 0,
19 "reason": "CUSTOMER_CANCELLED"
20 }
21 ],
22 "errors": [
23 {
24 "code": "EXCESS_ITEM_REFUND",
25 "message": "Requested refund amount (100.99) exceeds the line's cost (75.99)"
26 }
27 ]
28 }
29 ],
30 "next_cursor": "12FDG-31dsfgHW"
31}

Get all seller-initiated refunds from FeedAMP, filtered by search criteria

Was this page helpful?
Previous

Report Errors

Next

Get Seller Initiated Refunds for an order

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

mp_order_numberslist of stringsOptional

Comma-delimited list of marketplace order numbers to ref refund information for

refund_statuslist of enumsOptional
Comma-delimited list of refunds statuses <ul>
  • CREATED refunds that are ready to be processed
  • PAUSED refunds that have unresolved errors
  • COMPLETE refunds that have been marked as complete by the marketplace
  • </ul>
    Allowed values:
    created_afterdatetimeOptional

    Include refunds created on or after this date (format ISO 8601 default time zone is America/New_York)

    created_beforedatetimeOptional

    Include refunds created on or before this date (format ISO 8601 default time zone is America/New_York)

    page_sizeintegerOptional10-50Defaults to 20
    The number of orders per page to return
    cursorstringOptional
    Cursor for the next page of orders

    Response

    Order Refunds
    refundslist of objects
    next_cursorstring
    The cursor to get the next page of orders

    Errors

    400
    Bad Request Error
    401
    Unauthorized Error